/******************************************************************************
*
* .SLF Utils
* Copyright (C) 2000 by Athman Boukhaoua
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// Constants

#ifndef TRUE
#define TRUE (bool)-1
#endif
#ifndef FALSE
#define FALSE (bool)0
#endif
#ifndef NULL
#define NULL 0
#endif

#ifndef NO_ERROR
#define NO_ERROR 1
#endif
#define ERROR_GENERIC -1
#define ERROR_FILEOPEN -2
#define ERROR_VERSION -3
#define ERROR_SIZE -4
#define ERROR_RENDER -5
#define ERROR_INITIALIZE -6

#define DEG_CONST 0.01745329251
#define PI 3.141592653589793
#define PI_MUL_2 6.283185307179586
#define PI_DIV_2 1.570796326794896
#define PI_DIV_4 0.785398163397448
#define PI_DIV_6 0.523598775598298



// Typedefs

typedef unsigned int bool;
typedef unsigned long DWORD;
typedef unsigned short WORD;
typedef unsigned char BYTE;
typedef long LONG;


// Macros

#ifndef SUCCEEDED
#define SUCCEEDED(x) ((x)>=0)
#endif
#ifndef FAILED
#define FAILED(x) ((x)<0)
#endif
#ifndef MAKEWORD
#define MAKEWORD(a, b) \
	((WORD) (((BYTE) (a)) | ((WORD) ((BYTE) (b))) << 8)) 
#endif
